# BEGIN SourceDeps(oneline):
BuildRequires: libncurses-devel
# END SourceDeps(oneline)
Name: ftop
Version: 1.0 
Release: alt1_6
Summary: Utility that shows shows progress of open files and file systems

Group: File tools
License: GPLv3+
URL: http://code.google.com/p/ftop/
#SHA1 Checksum of Source0 tarball d3ef1b74825f50c7c442d299b29d23c2478f199b
Source0: http://ftop.googlecode.com/files/%{name}-%{version}.tar.bz2
#Patch from the upstream project site:
#http://code.google.com/p/ftop/issues/list
Patch0: ftop-fix_buffer_overflow.patch
Patch1: ftop-fix_printf_format.patch
BuildRequires: ncurses-devel
Source44: import.info


%description
Ftop is to files what top is to processes. The progress of all open files 
file systems can be monitored. 
The selection of which files to display is possible through 
a wide assortment of options. As with top, the items are displayed in 
order from most to least active. 

%prep
%setup -q

touch -r configure.ac configure.ac.stamp
%patch0 -p0 -b .fix_buffer_overflow
%patch1 -p0 -b .fix_printf_format
touch -r configure.ac.stamp configure.ac

%build

%configure
make %{?_smp_mflags}


%install
make install DESTDIR=$RPM_BUILD_ROOT



%files

%{_bindir}/*
%doc COPYING AUTHORS ChangeLog NEWS README
%{_mandir}/man1/*



%changelog
* Fri Mar 08 2013 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_6
- update to new release by fcimport

* Mon Dec 24 2012 Igor Vlasenko <viy@altlinux.ru> 1.0-alt1_5
- initial fc import

